package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CustomerDTO;
import com.viettel.campaign.web.dto.CustomerListDTO;
import com.viettel.campaign.web.dto.ResultDTO;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface CustomerService {

    Map listAllCustomer(int page, int pageSize, String sort);

    Map listCustByName(int page, int pageSize, String sort, String name);

    ResultDTO createCustomer(CustomerDTO customerDTO);

    ResultDTO deleteCustomer(CustomerDTO customerDTO);

    ResultDTO deleteIds(List<Long> ids);

    // ------------ customer list ------------ //

    Map getCustomerList(int page, int pageSize, String sort);

    ResultDTO createCustomerList(CustomerListDTO customerListDTO);

    ResultDTO updateCustomerList(CustomerListDTO customerListDTO);

    ResultDTO deleteCustomerList(CustomerListDTO customerListDTO);

    ResultDTO deleteCustomerListIds(List<Long> ids);

    ResultDTO searchCustomerList(String customerListCode, String customerListName, Date dateFrom, Date dateTo, int page, int pageSize, String sort);
}
